﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace XDCHT_Dictionary_SL
{
    public partial class MainPage : UserControl
    {
        private Dictionary<int, KeyValuePair<decimal, decimal>> dict;

        public MainPage()
        {
            InitializeComponent();

            //Popultae the Dictionary with a few keyed pairs
            dict = new Dictionary<int, KeyValuePair<decimal, decimal>>();
            dict.Add(1, new KeyValuePair<decimal, decimal>(8, 16));
            dict.Add(2, new KeyValuePair<decimal, decimal>(9, 17));
            dict.Add(3, new KeyValuePair<decimal, decimal>(10, 20));
            dict.Add(4, new KeyValuePair<decimal, decimal>(11, 23));

            //Plot a Scatter Series Chart with the Dictionary
            AddLevelsToScatterChart(this.scatterChart, dict);

        }

        public void AddLevelsToScatterChart(XamDataChart chart, Dictionary<int, KeyValuePair<decimal, decimal>> values)
        {

            ScatterSeries series;
            series = new ScatterSeries { Name = "ScatterKey" };

            //Configure a Series object to create datapoints based on the KeyedValuePairs in the Dictionary.
            Dictionary<decimal, decimal> seriesValues = new Dictionary<decimal, decimal>();
            foreach (int x in values.Keys)
            {
                KeyValuePair<decimal, decimal> value = values[x];
                seriesValues.Add(value.Key, value.Value);
            }
            series.ItemsSource = seriesValues;
            series.XMemberPath = "Key";
            series.YMemberPath = "Value";


            //Declare a NumericXAxis and associate it with the Series.
            NumericXAxis xAxis = new NumericXAxis();
            xAxis.MinimumValue = 5;
            xAxis.MaximumValue = 15;
            series.XAxis = xAxis;

            //Declare a NumericYAxis and associate it with the Series.
            NumericYAxis yAxis = new NumericYAxis();
            yAxis.MinimumValue = 10;
            yAxis.MaximumValue = 25;
            series.YAxis = yAxis;

            //Add the axes to the XamDataChart
            chart.Axes.Add(xAxis);
            chart.Axes.Add(yAxis);

            //Add the Series to the XamDataChart.
            chart.Series.Add(series);
        }

    }
}
